import { Data } from "./data.model";
import { User } from "./user.model";
import { Level } from "./level.model";

export interface Server extends Data {
  id?: number;
  discordId?: String;
  name?: string;
  iconURL?: string;
  autoRoleCount?: number;
  autoRoles?: [];
  clientCount?: number;
  clients?: [];
  levelCount?: number;
  levels?: Level[];
  userCount?: number;
  users?: User[];
}

export interface ServerFilter {
  id?: number;
  discordId?: String;
  name?: String;
}
